> ## Documentation Index
> Fetch the complete documentation index at: https://developers.pleo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Vendor

> Updates a Vendor for a company in Pleo.



## OpenAPI

````yaml put /v1/vendors/{id}
openapi: 3.0.1
info:
  title: Vendors API
  description: Vendors OpenAPI definitions
  termsOfService: https://pleo.io/terms/
  contact:
    email: apiteam@pleo.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 34.17.0
servers:
  - url: https://external.pleo.io
    description: Production server
  - url: https://external.staging.pleo.io
    description: Staging server
security:
  - bearerAuth: []
  - basicAuth: []
tags:
  - name: health
  - name: admin
  - name: Aggregated Company Vendor Resource
  - name: Company Recurring Vendor Resource
  - name: Company Vendor Resource
  - name: Enablement Resource
  - name: Expense Vendor Resource
  - name: Generic Vendors Resource
  - name: Prompts Resource
  - name: Recurring Vendor Resource
  - name: Sandbox Resource
  - name: Supplier Resource
  - name: Vendor Clean Resource
  - name: Vendor Group Resource
  - name: Vendor Resource
  - name: Vendors Resource
  - name: Vendor API
    description: |-
      The Vendor API enables you to perform the following:
      - Create a new vendor record.
      - Retrieve a vendor record by ID.
      - Modify the vendor details.
      - Archive a vendor record by ID.
      - Activate a vendor record by ID.
      - Fetch vendors' details by search criteria.
      - Import vendors via CSV.
  - name: Recurring Merchant Info Resource
  - name: Vendor Clean Resource V2
paths:
  /v1/vendors/{id}:
    put:
      tags:
        - external-vendors
      summary: Update a Vendor
      description: Updates a Vendor for a company in Pleo.
      operationId: updateVendor
      parameters:
        - name: id
          in: path
          required: true
          style: simple
          explode: false
          schema:
            type: string
            description: Pleo's internal identifier of the vendor.
            format: uuid
            example: 123e4567-e89b-12d3-a456-426614174000
      requestBody:
        content:
          application/json;charset=UTF-8:
            schema:
              $ref: '#/components/schemas/VendorUpdateRequest'
        required: true
      responses:
        '200':
          description: Vendor updated
          content:
            application/json;charset=UTF-8:
              schema:
                $ref: '#/components/schemas/DataResponseVendorResponse'
        '400':
          description: Invalid vendor update request
        '404':
          description: Vendor not found
        '409':
          description: Conflicting vendor update
components:
  schemas:
    VendorUpdateRequest:
      required:
        - companyId
        - defaultCurrency
        - externalId
        - name
        - state
      type: object
      properties:
        code:
          type: string
          description: >-
            Account code assigned to the vendor in the target ERP/accounting
            system for aiding users in identifying the correct record.
        companyId:
          type: string
          description: >-
            Pleo's internal identifier for the company the Vendor is associated
            with.
          format: uuid
          example: c082afd8-c1d2-46ee-8f56-1512638f0e67
        country:
          $ref: '#/components/schemas/CountryCode'
        defaultCurrency:
          type: string
          description: >-
            Default currency in which the vendor's financial operations,such as
            purchases, payments, or invoices, are primarily conducted. (ISO 4217
            currency code (3 letters))
          example: DKK
        externalId:
          type: string
          description: >-
            Unique external identifier of the vendor, assigned by the target
            ERP/accounting system, used by the client for identification. Can be
            the same as code if no other identifier is available.
        name:
          type: string
          description: >-
            The name field represents the official name of the Vendor as it is
            recorded in the target ERP/accounting system. This name is used to
            uniquely identify the vendor within the accounting workflow and is
            visible to the Pleo bookkeeper.
          example: Pleo
        registrationNumber:
          type: string
          description: Unique identification of a registered vendor in a country.
        state:
          $ref: '#/components/schemas/VendorState'
        taxRegistrationNumber:
          type: string
          description: VAT/GST/TaxId number of the Vendor.
    DataResponseVendorResponse:
      required:
        - data
      type: object
      properties:
        data:
          $ref: '#/components/schemas/VendorResponse'
    CountryCode:
      type: string
      description: >-
        Country of registration of the Vendor (ISO 3166-1 alpha-2 country code
        (2 letters))
      example: DK
      enum:
        - UNDEFINED
        - AC
        - AD
        - AE
        - AF
        - AG
        - AI
        - AL
        - AM
        - AN
        - AO
        - AQ
        - AR
        - AS
        - AT
        - AU
        - AW
        - AX
        - AZ
        - BA
        - BB
        - BD
        - BE
        - BF
        - BG
        - BH
        - BI
        - BJ
        - BL
        - BM
        - BN
        - BO
        - BQ
        - BR
        - BS
        - BT
        - BU
        - BV
        - BW
        - BY
        - BZ
        - CA
        - CC
        - CD
        - CF
        - CG
        - CH
        - CI
        - CK
        - CL
        - CM
        - CN
        - CO
        - CP
        - CR
        - CS
        - CU
        - CV
        - CW
        - CX
        - CY
        - CZ
        - DE
        - DG
        - DJ
        - DK
        - DM
        - DO
        - DZ
        - EA
        - EC
        - EE
        - EG
        - EH
        - ER
        - ES
        - ET
        - EU
        - EZ
        - FI
        - FJ
        - FK
        - FM
        - FO
        - FR
        - FX
        - GA
        - GB
        - GD
        - GE
        - GF
        - GG
        - GH
        - GI
        - GL
        - GM
        - GN
        - GP
        - GQ
        - GR
        - GS
        - GT
        - GU
        - GW
        - GY
        - HK
        - HM
        - HN
        - HR
        - HT
        - HU
        - IC
        - ID
        - IE
        - IL
        - IM
        - IN
        - IO
        - IQ
        - IR
        - IS
        - IT
        - JE
        - JM
        - JO
        - JP
        - KE
        - KG
        - KH
        - KI
        - KM
        - KN
        - KP
        - KR
        - KW
        - KY
        - KZ
        - LA
        - LB
        - LC
        - LI
        - LK
        - LR
        - LS
        - LT
        - LU
        - LV
        - LY
        - MA
        - MC
        - MD
        - ME
        - MF
        - MG
        - MH
        - MK
        - ML
        - MM
        - MN
        - MO
        - MP
        - MQ
        - MR
        - MS
        - MT
        - MU
        - MV
        - MW
        - MX
        - MY
        - MZ
        - NA
        - NC
        - NE
        - NF
        - NG
        - NI
        - NL
        - 'NO'
        - NP
        - NR
        - NT
        - NU
        - NZ
        - OM
        - PA
        - PE
        - PF
        - PG
        - PH
        - PK
        - PL
        - PM
        - PN
        - PR
        - PS
        - PT
        - PW
        - PY
        - QA
        - RE
        - RO
        - RS
        - RU
        - RW
        - SA
        - SB
        - SC
        - SD
        - SE
        - SF
        - SG
        - SH
        - SI
        - SJ
        - SK
        - SL
        - SM
        - SN
        - SO
        - SR
        - SS
        - ST
        - SU
        - SV
        - SX
        - SY
        - SZ
        - TA
        - TC
        - TD
        - TF
        - TG
        - TH
        - TJ
        - TK
        - TL
        - TM
        - TN
        - TO
        - TP
        - TR
        - TT
        - TV
        - TW
        - TZ
        - UA
        - UG
        - UK
        - UM
        - US
        - UY
        - UZ
        - VA
        - VC
        - VE
        - VG
        - VI
        - VN
        - VU
        - WF
        - WS
        - XI
        - XU
        - XK
        - YE
        - YT
        - YU
        - ZA
        - ZM
        - ZR
        - ZW
    VendorState:
      type: string
      description: >-
        Current state of the Vendor. ACTIVE means the vendor is in-sync with
        target ERP/accounting system. DRAFT means the vendor needs to be created
        in the target ERP/accounting system.
      enum:
        - DRAFT
        - ACTIVE
        - ARCHIVED
    VendorResponse:
      required:
        - companyId
        - defaultCurrency
        - id
        - name
        - state
      type: object
      properties:
        accountingSystem:
          type: string
          description: The target ERP/accounting system the Vendor is associated with.
        code:
          type: string
          description: >-
            Account code assigned to the vendor in the target ERP/accounting
            system for aiding users in identifying the correct record.
        companyId:
          type: string
          description: >-
            Pleo's internal identifier for the company the Vendor is associated
            with.
          format: uuid
          example: c082afd8-c1d2-46ee-8f56-1512638f0e67
        country:
          $ref: '#/components/schemas/CountryCode'
        createdAt:
          type: string
          description: The date and time when the vendor was created in Pleo.
          format: date-time
        defaultCurrency:
          maxLength: 3
          minLength: 3
          type: string
          description: >-
            Default currency in which the vendor's financial operations,such as
            purchases, payments, or invoices, are primarily conducted. (ISO 4217
            currency code (3 letters))
          example: DKK
        externalId:
          type: string
          description: >-
            Unique external identifier of the vendor, assigned by the target
            ERP/accounting system, used by the client for identification. Can be
            the same as code if no other identifier is available.
        id:
          type: string
          description: Pleo's internal identifier of the vendor.
          format: uuid
          example: 123e4567-e89b-12d3-a456-426614174000
        name:
          type: string
          description: >-
            The name field represents the official name of the Vendor as it is
            recorded in the target ERP/accounting system. This name is used to
            uniquely identify the vendor within the accounting workflow and is
            visible to the Pleo bookkeeper.
          example: Pleo
        registrationNumber:
          type: string
          description: Unique identification of a registered vendor in a country.
        state:
          $ref: '#/components/schemas/VendorState'
        taxRegistrationNumber:
          type: string
          description: VAT/GST/TaxId number of the Vendor.
        updatedAt:
          type: string
          description: >-
            The date and time when the vendor details were updated (initially
            same as createdAt).
          format: date-time
  securitySchemes:
    bearerAuth:
      type: http
      description: >-
        JWT Bearer token authentication. Include the token in the Authorization
        header as: `Bearer <token>`
      scheme: bearer
      bearerFormat: JWT
    basicAuth:
      type: http
      description: >-
        Basic HTTP authentication using API key. Use your API key as the
        username and leave the password empty. The credentials will be Base64
        encoded automatically.
      scheme: basic

````